RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.ClientTransport Class Reference

Base class for all client transports. More...

Inheritance diagram for DeltaVSoft.RCFProto.ClientTransport:

## Public Member Functions
virtual void | Dispose ()
virtual TransportType | GetTransportType ()
| Returns the transport type of this client transport. More...
void | SetMaxIncomingMessageLength (uint maxMessageLength)
| Sets maximum incoming message length. Incoming messages that are larger than this size will be dropped. More...
uint | GetMaxIncomingMessageLength ()
| Returns maximum incoming message length. More...
uint | GetLastRequestSize ()
| Returns the byte size of the last request sent on the client transport. More...
uint | GetLastResponseSize ()
| Returns the byte size of the last response received on the client transport. More...
ulong | GetRunningTotalBytesSent ()
| Returns the running total of bytes sent on the client transport. More...
ulong | GetRunningTotalBytesReceived ()
| Returns the running total of bytes received on the client transport. More...
void | ResetRunningTotals ()
| Resets the bytes-sent and bytes-received running totals to zero. More...

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Base class for all client transports.

## Member Function Documentation

virtual void DeltaVSoft.RCFProto.ClientTransport.Dispose | ( |  | ) |
| virtual

uint DeltaVSoft.RCFProto.ClientTransport.GetLastRequestSize | ( |  | ) |

Returns the byte size of the last request sent on the client transport.

uint DeltaVSoft.RCFProto.ClientTransport.GetLastResponseSize | ( |  | ) |

Returns the byte size of the last response received on the client transport.

uint DeltaVSoft.RCFProto.ClientTransport.GetMaxIncomingMessageLength | ( |  | ) |

Returns maximum incoming message length.

ulong DeltaVSoft.RCFProto.ClientTransport.GetRunningTotalBytesReceived | ( |  | ) |

Returns the running total of bytes received on the client transport.

ulong DeltaVSoft.RCFProto.ClientTransport.GetRunningTotalBytesSent | ( |  | ) |

Returns the running total of bytes sent on the client transport.

virtual TransportType DeltaVSoft.RCFProto.ClientTransport.GetTransportType | ( |  | ) |
| virtual

Returns the transport type of this client transport.

void DeltaVSoft.RCFProto.ClientTransport.ResetRunningTotals | ( |  | ) |

Resets the bytes-sent and bytes-received running totals to zero.

void DeltaVSoft.RCFProto.ClientTransport.SetMaxIncomingMessageLength | ( | uint | maxMessageLength | ) |

Sets maximum incoming message length. Incoming messages that are larger than this size will be dropped.

## Member Data Documentation

bool DeltaVSoft.RCFProto.ClientTransport.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- ClientTransport.cs